# TdApi.InlineKeyboardButtonTypeLoginUrl (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InlineKeyboardButtonTypeLoginUrl

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InlineKeyboardButtonTypeLoginUrl

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InlineKeyboardButtonType
it.tdlight.jni.TdApi.InlineKeyboardButtonTypeLoginUrl

Enclosing class:
  TdApi

public static final class TdApi.InlineKeyboardButtonTypeLoginUrl extends TdApi.InlineKeyboardButtonType
A button that opens a specified URL and automatically authorize the current user by calling getLoginUrlInfo.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`forwardText`
If non-empty, new text of the button in forwarded messages.
`long`
`id`
Unique button identifier.
`String`
`url`
An HTTP URL to pass to getLoginUrlInfo.

## Constructor Summary

Constructors
Constructor
Description
`InlineKeyboardButtonTypeLoginUrl()`
A button that opens a specified URL and automatically authorize the current user by calling getLoginUrlInfo.
`InlineKeyboardButtonTypeLoginUrl(DataInput input)`
A button that opens a specified URL and automatically authorize the current user by calling getLoginUrlInfo.
`InlineKeyboardButtonTypeLoginUrl(String url, long id, String forwardText)`
A button that opens a specified URL and automatically authorize the current user by calling getLoginUrlInfo.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### url

public String url
An HTTP URL to pass to getLoginUrlInfo.

### id

public long id
Unique button identifier.

### forwardText

public String forwardText
If non-empty, new text of the button in forwarded messages.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InlineKeyboardButtonTypeLoginUrl

public InlineKeyboardButtonTypeLoginUrl()
A button that opens a specified URL and automatically authorize the current user by calling getLoginUrlInfo.

### InlineKeyboardButtonTypeLoginUrl

public InlineKeyboardButtonTypeLoginUrl(String url, long id, String forwardText)
A button that opens a specified URL and automatically authorize the current user by calling getLoginUrlInfo.

Parameters:
  `url` - An HTTP URL to pass to getLoginUrlInfo.
  `id` - Unique button identifier.
  `forwardText` - If non-empty, new text of the button in forwarded messages.

### InlineKeyboardButtonTypeLoginUrl

public InlineKeyboardButtonTypeLoginUrl(DataInput input) throws IOException
A button that opens a specified URL and automatically authorize the current user by calling getLoginUrlInfo.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`